App::Yath::Command::status(3pm)

NAME
App::Yath::Command::status - Status info and process lists for the runner

DESCRIPTION
This command will provide health details and a process list for the runner.

USAGE
    $ yath [YATH OPTIONS] status [COMMAND OPTIONS]

  YATH OPTIONS
Developer

--dev-lib
--dev-lib=lib
-D
-D=lib
-Dlib
--no-dev-lib
    Add paths to @INC before loading ANYTHING. This is what you use if you are developing yath or yath plugins to make sure the yath script finds the local code instead of the installed versions of the same code. You can provide an argument (-Dfoo) to provide a custom path, or you can just use -D without and arg to add lib, blib/lib and blib/arch.

    Can be specified multiple times

Environment

--persist-dir ARG
--persist-dir=ARG
--no-persist-dir
    Where to find persistence files.

--persist-file ARG
--persist-file=ARG
--pfile ARG
--pfile=ARG
--no-persist-file
    Where to find the persistence file. The default is /{system-tempdir}/project-yath-persist.json. If no project is specified then it will fall back to the current directory. If the current directory is not writable it will default to /tmp/yath-persist.json which limits you to one persistent runner on your system.

--project ARG
--project=ARG
--project-name ARG
--project-name=ARG
--no-project
    This lets you provide a label for your current project/codebase. This is best used in a .yath.rc file. This is necessary for a persistent runner.

Finder Options

--finder MyFinder
--finder +Test2::Harness::Finder::MyFinder
--no-finder
    Specify what Finder subclass to use when searching for files/processing the file list. Use the "+" prefix to specify a fully qualified namespace, otherwise Test2::Harness::Finder::XXX namespace is assumed.

Help and Debugging

--show-opts
--no-show-opts
    Exit after showing what yath thinks your options mean

--version
-V
--no-version
    Exit after showing a helpful usage message

Plugins

--no-scan-plugins
--no-no-scan-plugins
    Normally yath scans for and loads all App::Yath::Plugin::* modules in order to bring in command-line options they may provide. This flag will disable that. This is useful if you have a naughty plugin that is loading other modules when it should not.

--plugins PLUGIN
--plugins +App::Yath::Plugin::PLUGIN
--plugins PLUGIN=arg1,arg2,...
--plugin PLUGIN
--plugin +App::Yath::Plugin::PLUGIN
--plugin PLUGIN=arg1,arg2,...
-pPLUGIN
--no-plugins
    Load a yath plugin.

    Can be specified multiple times

  COMMAND OPTIONS
Cover Options

--cover-aggregator ByTest
--cover-aggregator ByRun
--cover-aggregator +Custom::Aggregator
--cover-agg ByTest
--cover-agg ByRun
--cover-agg +Custom::Aggregator
--no-cover-aggregator
    Choose a custom aggregator subclass

--cover-class ARG
--cover-class=ARG
--no-cover-class
    Choose a Test2::Plugin::Cover subclass

--cover-dirs ARG
--cover-dirs=ARG
--cover-dir ARG
--cover-dir=ARG
--no-cover-dirs
    NO DESCRIPTION - FIX ME

    Can be specified multiple times

--cover-exclude-private
--no-cover-exclude-private
--cover-files
--no-cover-files
    Use Test2::Plugin::Cover to collect coverage data for what files are touched by what tests. Unlike Devel::Cover this has very little performance impact (About 4% difference)

--cover-from path/to/log.jsonl
--cover-from http://example.com/coverage
--cover-from path/to/coverage.jsonl
--no-cover-from
    This can be a test log, a coverage dump (old style json or new jsonl format), or a url to any of the previous. Tests will not be run if the file/url is invalid.

--cover-from-type json
--cover-from-type jsonl
--cover-from-type log
--no-cover-from-type
    File type for coverage source. Usually it can be detected, but when it cannot be you should specify. "json" is old style single-blob coverage data, "jsonl" is the new by-test style, "log" is a logfile from a previous run.

--cover-manager My::Coverage::Manager
--no-cover-manager
    Coverage 'from' manager to use when coverage data does not provide one

--cover-maybe-from path/to/log.jsonl
--cover-maybe-from http://example.com/coverage
--cover-maybe-from path/to/coverage.jsonl
--no-cover-maybe-from
    This can be a test log, a coverage dump (old style json or new jsonl format), or a url to any of the previous. Tests will coninue if even if the coverage file/url is invalid.

--cover-maybe-from-type json
--cover-maybe-from-type jsonl
--cover-maybe-from-type log
--no-cover-maybe-from-type
    Same as "from_type" but for "maybe_from". Defaults to "from_type" if that is specified, otherwise auto-detect

--cover-metrics
--no-cover-metrics
--cover-types ARG
--cover-types=ARG
--cover-type ARG
--cover-type=ARG
--no-cover-types
    NO DESCRIPTION - FIX ME

    Can be specified multiple times

--cover-write
--cover-write=coverage.jsonl
--cover-write=coverage.json
--no-cover-write
    Create a json or jsonl file of all coverage data seen during the run (This implies --cover-files).

Display Options

--color
--no-color
    Turn color on, default is true if STDOUT is a TTY.

--hide-runner-output
--no-hide-runner-output
    Hide output from the runner, showing only test output. (See Also truncate_runner_output)

--no-final-table
--no-no-final-table
    When printing final results, don't use table-style display

--no-wrap
--no-no-wrap
    Do not do fancy text-wrapping, let the terminal handle it

--progress
--no-progress
    Toggle progress indicators. On by default if STDOUT is a TTY. You can use --no-progress to disable the 'events seen' counter and buffered event pre-display

--quiet
-q
--no-quiet
    Be very quiet.

    Can be specified multiple times

--renderers +My::Renderer
--renderers Renderer=arg1,arg2,...
--renderer +My::Renderer
--renderer Renderer=arg1,arg2,...
--no-renderers
    Specify renderers, (Default: "Formatter=Test2"). Use "+" to give a fully qualified module name. Without "+" "Test2::Harness::Renderer::" will be prepended to your argument.

    Can be specified multiple times. If the same key is listed multiple times the value lists will be appended together.

--show-times
-T
--no-show-times
    Show the timing data for each job

--term-width 80
--term-width 200
--term-size 80
--term-size 200
--no-term-width
    Alternative to setting $TABLE_TERM_SIZE. Setting this will override the terminal width detection to the number of characters specified.

--truncate-runner-output
--no-truncate-runner-output
    Only show runner output that was generated after the current command. This is only useful with a persistent runner.

--verbose
-v
--no-verbose
    Be more verbose

    Can be specified multiple times

Finder Options

--changed path/to/file
--no-changed
    Specify one or more files as having been changed.

    Can be specified multiple times

--changed-only
--no-changed-only
    Only search for tests for changed files (Requires a coverage data source, also requires a list of changes either from the --changed option, or a plugin that implements changed_files() or changed_diff())

--changes-diff path/to/diff.diff
--no-changes-diff
    Path to a diff file that should be used to find changed files for use with --changed-only. This must be in the same format as `git diff -W --minimal -U1000000`

--changes-exclude-file path/to/file
--no-changes-exclude-file
    Specify one or more files to ignore when looking at changes

    Can be specified multiple times

--changes-exclude-loads
--no-changes-exclude-loads
    Exclude coverage tests which only load changed files, but never call code from them. (default: off)

--changes-exclude-nonsub
--no-changes-exclude-nonsub
    Exclude changes outside of subroutines (perl files only) (default: off)

--changes-exclude-opens
--no-changes-exclude-opens
    Exclude coverage tests which only open() changed files, but never call code from them. (default: off)

--changes-exclude-pattern '(apple|pear|orange)'
--no-changes-exclude-pattern
    Ignore files matching this pattern when looking for changes. Your pattern will be inserted unmodified into a `$file =~ m/$pattern/` check.

    Can be specified multiple times

--changes-filter-file path/to/file
--no-changes-filter-file
    Specify one or more files to check for changes. Changes to other files will be ignored

    Can be specified multiple times

--changes-filter-pattern '(apple|pear|orange)'
--no-changes-filter-pattern
    Specify a pattern for change checking. When only running tests for changed files this will limit which files are checked for changes. Only files that match this pattern will be checked. Your pattern will be inserted unmodified into a `$file =~ m/$pattern/` check.

    Can be specified multiple times

--changes-include-whitespace
--no-changes-include-whitespace
    Include changed lines that are whitespace only (default: off)

--changes-plugin Git
--changes-plugin +App::Yath::Plugin::Git
--no-changes-plugin
    What plugin should be used to detect changed files.

--default-at-search ARG
--default-at-search=ARG
--no-default-at-search
    Specify the default file/dir search when 'AUTHOR_TESTING' is set. Defaults to './xt'. The default AT search is only used if no files were specified at the command line

    Can be specified multiple times

--default-search ARG
--default-search=ARG
--no-default-search
    Specify the default file/dir search. defaults to './t', './t2', and 'test.pl'. The default search is only used if no files were specified at the command line

    Can be specified multiple times

--durations file.json
--durations http://example.com/durations.json
--no-durations
    Point at a json file or url which has a hash of relative test filenames as keys, and 'SHORT', 'MEDIUM', or 'LONG' as values. This will override durations listed in the file headers. An exception will be thrown if the durations file or url does not work.

--durations-threshold ARG
--durations-threshold=ARG
--Dt ARG
--Dt=ARG
--no-durations-threshold
    Only fetch duration data if running at least this number of tests. Default (-j value + 1)

--exclude-file t/nope.t
--no-exclude-file
    Exclude a file from testing

    Can be specified multiple times

--exclude-list file.txt
--exclude-list http://example.com/exclusions.txt
--no-exclude-list
    Point at a file or url which has a new line separated list of test file names to exclude from testing. Starting a line with a '#' will comment it out (for compatibility with Test2::Aggregate list files).

    Can be specified multiple times

--exclude-pattern t/nope.t
--no-exclude-pattern
    Exclude a pattern from testing, matched using m/$PATTERN/

    Can be specified multiple times

--extension ARG
--extension=ARG
--ext ARG
--ext=ARG
--no-extension
    Specify valid test filename extensions, default: t and t2

    Can be specified multiple times

--maybe-durations file.json
--maybe-durations http://example.com/durations.json
--no-maybe-durations
    Point at a json file or url which has a hash of relative test filenames as keys, and 'SHORT', 'MEDIUM', or 'LONG' as values. This will override durations listed in the file headers. An exception will be thrown if the durations file or url does not work.

--no-long
--no-no-long
    Do not run tests that have their duration flag set to 'LONG'

--only-long
--no-only-long
    Only run tests that have their duration flag set to 'LONG'

--rerun
--rerun=path/to/log.jsonl
--rerun=plugin_specific_string
--no-rerun
    Re-Run tests from a previous run from a log file (or last log file). Plugins can intercept this, such as YathUIDB which will grab a run UUID and derive tests to re-run from that.

--rerun-all
--rerun-all=path/to/log.jsonl
--rerun-all=plugin_specific_string
--no-rerun-all
    Re-Run all tests from a previous run from a log file (or last log file). Plugins can intercept this, such as YathUIDB which will grab a run UUID and derive tests to re-run from that.

--rerun-failed
--rerun-failed=path/to/log.jsonl
--rerun-failed=plugin_specific_string
--no-rerun-failed
    Re-Run failed tests from a previous run from a log file (or last log file). Plugins can intercept this, such as YathUIDB which will grab a run UUID and derive tests to re-run from that.

--rerun-missed
--rerun-missed=path/to/log.jsonl
--rerun-missed=plugin_specific_string
--no-rerun-missed
    Run missed tests from a previously aborted/stopped run from a log file (or last log file). Plugins can intercept this, such as YathUIDB which will grab a run UUID and derive tests to re-run from that.

--rerun-modes failed,missed,...
--rerun-modes all
--rerun-modes failed
--rerun-modes missed
--rerun-modes passed
--rerun-modes retried
--rerun-mode failed,missed,...
--rerun-mode all
--rerun-mode failed
--rerun-mode missed
--rerun-mode passed
--rerun-mode retried
--no-rerun-modes
    Pick which test categories to run

    Can be specified multiple times

--rerun-passed
--rerun-passed=path/to/log.jsonl
--rerun-passed=plugin_specific_string
--no-rerun-passed
    Re-Run passed tests from a previous run from a log file (or last log file). Plugins can intercept this, such as YathUIDB which will grab a run UUID and derive tests to re-run from that.

--rerun-plugin Foo
--rerun-plugin +App::Yath::Plugin::Foo
--no-rerun-plugin
    What plugin(s) should be used for rerun (will fallback to other plugins if the listed ones decline the value, this is just used ot set an order of priority)

    Can be specified multiple times

--rerun-retried
--rerun-retried=path/to/log.jsonl
--rerun-retried=plugin_specific_string
--no-rerun-retried
    Re-Run retried tests from a previous run from a log file (or last log file). Plugins can intercept this, such as YathUIDB which will grab a run UUID and derive tests to re-run from that.

--search ARG
--search=ARG
--no-search
    List of tests and test directories to use instead of the default search paths. Typically these can simply be listed as command line arguments without the --search prefix.

    Can be specified multiple times

--show-changed-files
--no-show-changed-files
    Print a list of changed files if any are found

Formatter Options

--formatter ARG
--formatter=ARG
--no-formatter
    NO DESCRIPTION - FIX ME

--qvf
--no-qvf
    [Q]uiet, but [V]erbose on [F]ailure. Hide all output from tests when they pass, except to say they passed. If a test fails then ALL output from the test is verbosely output.

--show-job-end
--no-show-job-end
    Show output when a job ends. (Default: on)

--show-job-info
--no-show-job-info
    Show the job configuration when a job starts. (Default: off, unless -vv)

--show-job-launch
--no-show-job-launch
    Show output for the start of a job. (Default: off unless -v)

--show-run-info
--no-show-run-info
    Show the run configuration when a run starts. (Default: off, unless -vv)

Git Options

--git-change-base master
--git-change-base HEAD^
--git-change-base df22abe4
--no-git-change-base
    Find files changed by all commits in the current branch from most recent stopping when a commit is found that is also present in the history of the branch/commit specified as the change base.

Help and Debugging

--dummy
-d
--no-dummy
    Dummy run, do not actually execute anything

    Can also be set with the following environment variables: "T2_HARNESS_DUMMY"

--help
-h
--no-help
    exit after showing help information

--interactive
-i
--no-interactive
    Use interactive mode, 1 test at a time, stdin forwarded to it

--keep-dirs
--keep_dir
-k
--no-keep-dirs
    Do not delete directories when done. This is useful if you want to inspect the directories used for various commands.

--procname-prefix ARG
--procname-prefix=ARG
--no-procname-prefix
    Add a prefix to all proc names (as seen by ps).

--summary
--summary=/path/to/summary.json
--no-summary
    Write out a summary json file, if no path is provided 'summary.json' will be used. The .json extension is added automatically if omitted.

Logging Options

--bzip2
--bz2
--bzip2_log
-B
--no-bzip2
    Use bzip2 compression when writing the log. This option implies -L. The .bz2 prefix is added to log file name for you

--gzip
--gz
--gzip_log
-G
--no-gzip
    Use gzip compression when writing the log. This option implies -L. The .gz prefix is added to log file name for you

--log
-L
--no-log
    Turn on logging

--log-dir ARG
--log-dir=ARG
--no-log-dir
    Specify a log directory. Will fall back to the system temp dir.

--log-file ARG
--log-file=ARG
-F ARG
-F=ARG
--no-log-file
    Specify the name of the log file. This option implies -L.

--log-file-format ARG
--log-file-format=ARG
--lff ARG
--lff=ARG
--no-log-file-format
    Specify the format for automatically-generated log files. Overridden by --log-file, if given. This option implies -L (Default: \$YATH_LOG_FILE_FORMAT, if that is set, or else "%!P%Y-%m-%d~%H:%M:%S~%!U~%!p.jsonl"). This is a string in which percent-escape sequences will be replaced as per POSIX::strftime. The following special escape sequences are also replaced: (%!P : Project name followed by a ~, if a project is defined, otherwise empty string) (%!U : the unique test run ID) (%!p : the process ID) (%!S : the number of seconds since local midnight UTC)

    Can also be set with the following environment variables: "YATH_LOG_FILE_FORMAT", "TEST2_HARNESS_LOG_FORMAT"

Notification Options

--notify-email foo@example.com
--no-notify-email
    Email the test results to the specified email address(es)

    Can be specified multiple times

--notify-email-fail foo@example.com
--no-notify-email-fail
    Email failing results to the specified email address(es)

    Can be specified multiple times

--notify-email-from foo@example.com
--no-notify-email-from
    If any email is sent, this is who it will be from

--notify-email-owner
--no-notify-email-owner
    Email the owner of broken tests files upon failure. Add `# HARNESS-META-OWNER foo@example.com` to the top of a test file to give it an owner

--notify-no-batch-email
--no-notify-no-batch-email
    Usually owner failures are sent as a single batch at the end of testing. Toggle this to send failures as they happen.

--notify-no-batch-slack
--no-notify-no-batch-slack
    Usually owner failures are sent as a single batch at the end of testing. Toggle this to send failures as they happen.

--notify-slack '#foo'
--notify-slack '@bar'
--no-notify-slack
    Send results to a slack channel and/or user

    Can be specified multiple times

--notify-slack-fail '#foo'
--notify-slack-fail '@bar'
--no-notify-slack-fail
    Send failing results to a slack channel and/or user

    Can be specified multiple times

--notify-slack-owner
--no-notify-slack-owner
    Send slack notifications to the slack channels/users listed in test meta-data when tests fail.

--notify-slack-url https://hooks.slack.com/...
--no-notify-slack-url
    Specify an API endpoint for slack webhook integrations

--notify-text ARG
--notify-text=ARG
--message ARG
--message=ARG
--msg ARG
--msg=ARG
--no-notify-text
    Add a custom text snippet to email/slack notifications

--notify-text-module ARG
--notify-text-module=ARG
--message_module ARG
--message_module=ARG
--no-notify-text-module
    Use the specified module to generate messages for emails and/or slack.

Run Options

--author-testing
-A
--no-author-testing
    This will set the AUTHOR_TESTING environment to true

--dbi-profiling
--no-dbi-profiling
    Use Test2::Plugin::DBIProfile to collect database profiling data

--env-var VAR=VAL
-EVAR=VAL
-E VAR=VAL
--no-env-var
    Set environment variables to set when each test is run.

    Can be specified multiple times

--event-uuids
--uuids
--no-event-uuids
    Use Test2::Plugin::UUID inside tests (default: on)

--fields name:details
--fields JSON_STRING
-f name:details
-f JSON_STRING
--no-fields
    Add custom data to the harness run

    Can be specified multiple times

--input ARG
--input=ARG
--no-input
    Input string to be used as standard input for ALL tests. See also: --input-file

--input-file ARG
--input-file=ARG
--no-input-file
    Use the specified file as standard input to ALL tests

--io-events
--no-io-events
    Use Test2::Plugin::IOEvents inside tests to turn all prints into test2 events (default: off)

--link 'https://travis.work/builds/42'
--link 'https://jenkins.work/job/42'
--link 'https://buildbot.work/builders/foo/builds/42'
--no-link
    Provide one or more links people can follow to see more about this run.

    Can be specified multiple times

--load ARG
--load=ARG
--load-module ARG
--load-module=ARG
-m ARG
-m=ARG
--no-load
    Load a module in each test (after fork). The "import" method is not called.

    Can be specified multiple times

--load-import Module
--load-import Module=import_arg1,arg2,...
--loadim Module
--loadim Module=import_arg1,arg2,...
-M Module
-M Module=import_arg1,arg2,...
--no-load-import
    Load a module in each test (after fork). Import is called.

    Can be specified multiple times. If the same key is listed multiple times the value lists will be appended together.

--mem-usage
--no-mem-usage
    Use Test2::Plugin::MemUsage inside tests (default: on)

--retry ARG
--retry=ARG
-r ARG
-r=ARG
--no-retry
    Run any jobs that failed a second time. NOTE: --retry=1 means failing tests will be attempted twice!

--retry-isolated
--retry-iso
--no-retry-isolated
    If true then any job retries will be done in isolation (as though -j1 was set)

--run-id
--id
--no-run-id
    Set a specific run-id. (Default: a UUID)

--test-args ARG
--test-args=ARG
--no-test-args
    Arguments to pass in as @ARGV for all tests that are run. These can be provided easier using the '::' argument separator.

    Can be specified multiple times

--stream
--no-stream
    Use the stream formatter (default is on)

--tap
--TAP
----no-stream
--no-tap
    The TAP format is lossy and clunky. Test2::Harness normally uses a newer streaming format to receive test results. There are old/legacy tests where this causes problems, in which case setting --TAP or --no-stream can help.

YathUI Options

--yathui-api-key ARG
--yathui-api-key=ARG
--no-yathui-api-key
    Yath-UI API key. This is not necessary if your Yath-UI instance is set to single-user

--yathui-coverage
--no-yathui-coverage
    Poll coverage data from Yath-UI to determine what tests should be run for changed files

--yathui-durations
--no-yathui-durations
    Poll duration data from Yath-UI to help order tests efficiently

--yathui-grace
--no-yathui-grace
    If yath cannot connect to yath-ui it normally throws an error, use this to make it fail gracefully. You get a warning, but things keep going.

--yathui-long-duration 10
--no-yathui-long-duration
    Minimum duration length (seconds) before a test goes from MEDIUM to LONG

--yathui-medium-duration 5
--no-yathui-medium-duration
    Minimum duration length (seconds) before a test goes from SHORT to MEDIUM

--yathui-mode summary
--yathui-mode qvf
--yathui-mode qvfd
--yathui-mode complete
--no-yathui-mode
    Set the upload mode (default 'qvfd')

--yathui-project ARG
--yathui-project=ARG
--no-yathui-project
    The Yath-UI project for your test results

--yathui-retry
--no-yathui-retry
    How many times to try an operation before giving up

    Can be specified multiple times

--yathui-upload
--no-yathui-upload
    Upload the log to Yath-UI

--yathui-url http://my-yath-ui.com/...
--uri http://my-yath-ui.com/...
--no-yathui-url
    Yath-UI url

NO CATEGORY - FIX ME

--check-reload-state
--no-check-reload-state
    Abort the run if there are unfixes reload errors and show a confirmation dialogue for unfixed reload warnings.

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2026 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/